Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Project-scoped API key, e.g. nohead_sk_k7fz0a9c3m2q_<secret>, or nohead_pk_… for a published-only key. Used by servers, CI, the CLI and coding agents.

Path Parameters

collection_id
string
required

Collection ID, or the collection slug when authenticating with an API key.

Response

The index status.

object
any
required
collection_id
string
required
index
string
required

The index's name in the search engine, which search tokens search (indexUid in Meilisearch's search API). Opaque; it never changes.

status
enum<string>
required

building until first built; stale from the change that queues a rebuild until it has run; failed if the last rebuild failed (it is retried).

Available options:
building,
ready,
stale,
failed
documents
integer
required
last_built_at
string<date-time> | null
required
rebuild_requested_at
string<date-time> | null
required